> ## Documentation Index
> Fetch the complete documentation index at: https://docs.topmediai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# V1 Get Singer List

> Gets a list of all available singers for us.



## OpenAPI

````yaml https://api.topmediai.com/topmediai_api.json get /v1/singers
openapi: 3.1.0
info:
  title: Topmediai API Documentation
  description: >-
    This is the documentation for the Topmediai API. You can use this API to use
    our service programmatically, this is done by using your x-api-key. You can
    get your x-api-key by request our Get API Key Web page on
    https://www.topmediai.com/api/text-to-speech-api/. Our API is experimental
    so all endpoints are subject to change.
  version: 1.0.0
servers:
  - url: https://api.topmediai.com
security: []
paths:
  /v1/singers:
    get:
      tags:
        - AI-Song-Cover
      summary: V1 Get Singer List
      description: Gets a list of all available singers for us.
      operationId: get-singers
      parameters:
        - name: x-api-key
          in: header
          required: false
          schema:
            type: string
            title: X-Api-Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APISingersResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    APISingersResponse:
      properties:
        Singers:
          items:
            $ref: '#/components/schemas/SingerSchemas'
          type: array
          title: Singers
          exclude_defaults: true
          exclude_none: true
          exclude_unset: true
      type: object
      title: APISingersResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SingerSchemas:
      properties:
        singer_name:
          type: string
          title: Singer Name
          description: model name
        singer_id:
          type: integer
          title: Singer Id
      type: object
      required:
        - singer_name
        - singer_id
      title: SingerSchemas
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````